How can I get Glimpse to work with EF6?

asp.net-mvc-5 entity-framework-6 glimpse

Accepted Answer

For those of you seeking a solution outside the box:

It appears to be a error in EF itself (it was mentioned as 173 above, but the link is correct). You can either wait for EF 6.1.1/6.2 or downgrade to EF 6.0.2, at which point it will begin to function once more.

Type the following in the Package Manager Console:

Install-Package EntityFramework -Version 6.0.2

then you ought to be all set.

But only if you have the choice to use EF 6.0.2. Good fortune.

7
3/27/2014 5:40:43 PM

Popular Answer

If you run into issues, like Eric Sassaman did, using Glimpse will probably ruin your project. Ensure that all dlls have been deleted from the bin directory after running glance remove (from nuget). In my situation, Azure build was caching dlls for a glance, which resulted in an error like:[NotSupportedException: Unable to determine the provider name for provider factory of type 'System.Data.SqlClient.SqlClientFactory'. Make sure that the ADO.NET provider is installed or registered in the application config.]



Related Questions





Related

Licensed under: CC-BY-SA with attribution
Not affiliated with Stack Overflow
Licensed under: CC-BY-SA with attribution
Not affiliated with Stack Overflow